Plant Tissue Analyses - Create Or Update

Creates or updates a plant tissue analysis resource.

PATCH {endpoint}/parties/{partyId}/plant-tissue-analyses/{plantTissueAnalysisId}?api-version=2023-11-01-preview

URI Parameters

Name In Required Type Description
endpoint
path True

string (uri)

The host name of the namespace, e.g. admaInstanceName.farmbeats.azure.net

partyId
path True

string

Id of the party resource.

plantTissueAnalysisId
path True

string

Id of the plant tissue analysis resource.

api-version
query True

string

The requested API version

Request Header

Media Types: "application/merge-patch+json"

Name Required Type Description
Authorization True

string

Please provide a valid bearer token for authorized API calls. Note that you might need to clear your browser cache if you tried un-authenticated calls before.

Request Body

Media Types: "application/merge-patch+json"

Name Type Description
cropId

string

Id of the associated Crop.

cropProductId

string

Id of the associated Crop product.

description

string

minLength: 0
maxLength: 500

Textual description of the resource.

fieldId

string

Id of the associated Field.

geometry GeoJsonObject:

GeoJSON (For more details: https://geojson.org/). Note: Coordinates are expected in [Longitude, Latitude] format.

growthStage

string

minLength: 0
maxLength: 200

Growth stage for this plant tissue analysis.

labDetails

LabDetails

Model for representing LabDetails object.

name

string

minLength: 0
maxLength: 100

Name to identify resource.

plantAppearance

string

minLength: 0
maxLength: 500

Plant appearance for this plant tissue analysis.

plantPart

string

minLength: 0
maxLength: 200

Plant part for this plant tissue analysis.

plantPosition

string

minLength: 0
maxLength: 200

Plant position for this plant tissue analysis.

plantingDateTime

string (date-time)

Planting datetime for this plant tissue analysis.

properties

A collection of key value pairs that belongs to the resource. Each pair must not have a key greater than 50 characters and must not have a value greater than 150 characters. Note: A maximum of 25 key value pairs can be provided for a resource and only string, numeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.

sampleCollectionCondition

string

minLength: 0
maxLength: 500

Sample collection condition for this plant tissue analysis.

sampleCollectionDateTime

string (date-time)

Sample collection dateTime for this plant tissue analysis.

sampleReceivedDateTime

string (date-time)

Sample received dateTime.

sampleTestResultDateTime

string (date-time)

Sample test result dateTime for this plant tissue analysis.

seasonId

string

Id of the associated Season.

source

string

minLength: 2
maxLength: 100

Source of the resource.

status

string

minLength: 0
maxLength: 100

Status of the resource.

Responses

Name Type Description
200 OK

PlantTissueAnalysis

Success

201 Created

PlantTissueAnalysis

Created

Other Status Codes

ErrorResponse

Error

Headers

x-ms-error-code: string

Security

Authorization

Please provide a valid bearer token for authorized API calls. Note that you might need to clear your browser cache if you tried un-authenticated calls before.

Type: apiKey
In: header

Examples

PlantTissueAnalyses_CreateOrUpdate

Sample request

PATCH {endpoint}/parties/PARTY123/plant-tissue-analyses/PLANTTISSUEANALYSIS123?api-version=2023-11-01-preview

{
  "seasonId": "Season123",
  "cropId": "Crop123",
  "fieldId": "Field123",
  "plantingDateTime": "2022-05-11T07:00:10Z",
  "plantPart": "PlantPart",
  "plantPosition": "PlantPosition",
  "plantAppearance": "PlantAppearance",
  "sampleCollectionCondition": "SampleCollectionCondition",
  "sampleCollectionDateTime": "2021-04-21T06:49:30Z",
  "sampleReceivedDateTime": "2021-04-22T06:49:30Z",
  "sampleTestResultDateTime": "2021-04-23T06:49:30Z",
  "labDetails": {
    "code": "LabId",
    "name": "Name",
    "address": "Address",
    "description": "Description"
  },
  "status": "Active",
  "name": "John Smith's ManagementZone",
  "description": "Some description",
  "source": "source",
  "properties": {
    "Irrigated": "Yes"
  }
}

Sample response

{
  "partyId": "PARTY123",
  "id": "PLANTTISSUEANALYSIS123",
  "seasonId": "Season123",
  "cropId": "Crop123",
  "fieldId": "Field123",
  "plantingDateTime": "2021-04-21T06:49:30Z",
  "plantPart": "PlantPart",
  "plantPosition": "PlantPosition",
  "plantAppearance": "PlantAppearance",
  "sampleCollectionCondition": "SampleCollectionCondition",
  "sampleCollectionDateTime": "2021-04-21T06:49:30Z",
  "sampleReceivedDateTime": "2021-04-22T06:49:30Z",
  "sampleTestResultDateTime": "2021-04-23T06:49:30Z",
  "labDetails": {
    "code": "LabId",
    "name": "Name",
    "address": "Address",
    "description": "Description"
  },
  "name": "John Smith's ManagementZone",
  "status": "Active",
  "description": "Some description",
  "source": "source",
  "properties": {
    "Irrigated": "Yes"
  },
  "createdDateTime": "2021-04-21T06:49:30Z",
  "modifiedDateTime": "2021-04-21T06:49:30Z",
  "createdBy": "00000000-0000-0000-0000-000000000000",
  "modifiedBy": "00000000-0000-0000-0000-000000000000",
  "eTag": "0f8fad5b-d9cb-469f-a165-70867728950e"
}
{
  "partyId": "PARTY123",
  "id": "PLANTTISSUEANALYSIS123",
  "seasonId": "Season123",
  "cropId": "Crop123",
  "fieldId": "Field123",
  "plantingDateTime": "2021-04-21T06:49:30Z",
  "plantPart": "PlantPart",
  "plantPosition": "PlantPosition",
  "plantAppearance": "PlantAppearance",
  "sampleCollectionCondition": "SampleCollectionCondition",
  "sampleCollectionDateTime": "2021-04-21T06:49:30Z",
  "sampleReceivedDateTime": "2021-04-22T06:49:30Z",
  "sampleTestResultDateTime": "2021-04-23T06:49:30Z",
  "labDetails": {
    "code": "LabId",
    "name": "Name",
    "address": "Address",
    "description": "Description"
  },
  "name": "John Smith's ManagementZone",
  "status": "Active",
  "description": "Some description",
  "source": "source",
  "properties": {
    "Irrigated": "Yes"
  },
  "createdDateTime": "2021-04-21T06:49:30Z",
  "modifiedDateTime": "2021-04-21T06:49:30Z",
  "createdBy": "00000000-0000-0000-0000-000000000000",
  "modifiedBy": "00000000-0000-0000-0000-000000000000",
  "eTag": "0f8fad5b-d9cb-469f-a165-70867728950e"
}

Definitions

Name Description
Error

An error from the Azure AgPlatform service.

ErrorResponse

An error response from the Azure AgPlatform service. See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses for ErrorResponse reference document.

GeoJsonObjectType

GeoJSON object type.

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

LabDetails

Model for representing LabDetails object.

MultiPolygon

MultiPolygon geometry.

PlantTissueAnalysis

Api Model for plant tissue analysis object.

Point

Point geometry.

Polygon

Polygon geometry.

Error

An error from the Azure AgPlatform service.

Name Type Description
code

string

minLength: 1

Server-defined set of error codes.

details

Error[]

Array of details about specific errors that led to this reported error.

innererror

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

message

string

minLength: 1

Human-readable representation of the error.

target

string

Target of the error.

ErrorResponse

An error response from the Azure AgPlatform service. See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses for ErrorResponse reference document.

Name Type Description
error

Error

An error from the Azure AgPlatform service.

traceId

string

Unique trace Id.

GeoJsonObjectType

GeoJSON object type.

Value Description
Point
Polygon
MultiPolygon

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

Name Type Description
code

string

Specific error code than was provided by the containing error.

innererror

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

LabDetails

Model for representing LabDetails object.

Name Type Description
address

string

minLength: 0
maxLength: 500

Address of the resource.

code

string

minLength: 0
maxLength: 150

Code of the resource.

description

string

minLength: 0
maxLength: 500

Description of the resource.

name

string

minLength: 0
maxLength: 100

Name of the resource.

MultiPolygon

MultiPolygon geometry.

Name Type Description
coordinates

number[] (double)

Gets or sets Coordinates of GeoJSON Object. It must be an array of polygons, each polygon contains list of linear rings. For Polygons with more than one of these rings, the first MUST be the exterior ring, and any others MUST be interior rings.

type string:

MultiPolygon

GeoJSON object type.

PlantTissueAnalysis

Api Model for plant tissue analysis object.

Name Type Description
createdBy

string

Created by user/tenant id.

createdDateTime

string (date-time)

Date-time when resource was created, sample format: yyyy-MM-ddTHH:mm:ssZ.

cropId

string

Id of the associated Crop.

cropProductId

string

Id of the associated Crop product.

description

string

minLength: 0
maxLength: 500

Textual description of the resource.

eTag

string

The ETag value to implement optimistic concurrency.

fieldId

string

Id of the associated Field.

geometry GeoJsonObject:

GeoJSON (For more details: https://geojson.org/). Note: Coordinates are expected in [Longitude, Latitude] format.

growthStage

string

minLength: 0
maxLength: 200

Growth stage for this plant tissue analysis.

id

string

Unique resource ID.

labDetails

LabDetails

Model for representing LabDetails object.

modifiedBy

string

Modified by user/tenant id.

modifiedDateTime

string (date-time)

Date-time when resource was last modified, sample format: yyyy-MM-ddTHH:mm:ssZ.

name

string

minLength: 0
maxLength: 100

Name to identify resource.

partyId

string

Id of the associated Party.

plantAppearance

string

minLength: 0
maxLength: 500

Plant appearance for this plant tissue analysis.

plantPart

string

minLength: 0
maxLength: 200

Plant part for this plant tissue analysis.

plantPosition

string

minLength: 0
maxLength: 200

Plant position for this plant tissue analysis.

plantingDateTime

string (date-time)

Planting datetime for this plant tissue analysis.

properties

A collection of key value pairs that belongs to the resource. Each pair must not have a key greater than 50 characters and must not have a value greater than 150 characters. Note: A maximum of 25 key value pairs can be provided for a resource and only string, numeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.

sampleCollectionCondition

string

minLength: 0
maxLength: 500

Sample collection condition for this plant tissue analysis.

sampleCollectionDateTime

string (date-time)

Sample collection dateTime for this plant tissue analysis.

sampleReceivedDateTime

string (date-time)

Sample received dateTime.

sampleTestResultDateTime

string (date-time)

Sample test result dateTime for this plant tissue analysis.

seasonId

string

Id of the associated Season.

source

string

minLength: 2
maxLength: 100

Source of the resource.

status

string

minLength: 0
maxLength: 100

Status of the resource.

Point

Point geometry.

Name Type Description
coordinates

number[] (double)

Gets or sets the coordinate of this point. It must be an array of 2 or 3 elements for a 2D or 3D system.

type string:

Point

GeoJSON object type.

Polygon

Polygon geometry.

Name Type Description
coordinates

number[] (double)

Gets or sets type of the GeoJSON Object. It must be an array of linear ring coordinate arrays. For Polygons with more than one of these rings, the first MUST be the exterior ring, and any others MUST be interior rings.

type string:

Polygon

GeoJSON object type.